import request from '@/utils/request'

// 根据关键字模糊查询企业企查查886
export function getEnterpriseInspectionInfo(params) {
  return request({
    url: '/creditInfo/getBusinessByKeyWord',
    method: 'get',
    params
  })
}

// 获取征信管理列表
export function creditInfoList(params) {
  return request({
    url: '/creditInfo/findByName',
    method: 'get',
    params
  })
}

// 根据统一社会信用代码查征信授权书
export function getAuthAddress(data) {
  return request({
    url: '/creditInfo/getAuthAddress',
    method: 'post',
    data
  })
}

// 增加征信
export function addCreditInfo(data) {
  return request({
    url: '/creditInfo/add',
    method: 'post',
    data
  })
}

// 查询详情
export function creditDetail(params) {
  return request({
    url: '/creditInfo/get',
    method: 'get',
    params
  })
}

// 编辑
export function updateCreditInfo(data) {
  return request({
    url: '/creditInfo/update',
    method: 'post',
    data
  })
}
